apiVersion: v1
kind: DeploymentConfig
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","kind":"DeploymentConfig","metadata":{"annotations":{},"labels":{"app":"amq-broker","template":"amq-broker"},"name":"amq-broker","namespace":"dev-grz-common-smart-amq-play"},"spec":{"replicas":4,"selector":{"deploymentconfig":"amq-broker"},"strategy":{"activeDeadlineSeconds":21600,"resources":{},"rollingParams":{"intervalSeconds":1,"maxSurge":0,"maxUnavailable":"25%","timeoutSeconds":600,"updatePeriodSeconds":1},"type":"Rolling"},"template":{"metadata":{"labels":{"app":"amq-broker","deploymentconfig":"amq-broker"}},"spec":{"containers":[{"env":[{"name":"AMQ_SPLIT","value":"true"},{"name":"AMQ_MESH_DISCOVERY_TYPE","value":"kube"},{"name":"AMQ_MESH_SERVICE_NAME","value":"amq-broker-tcp"},{"name":"AMQ_MESH_SERVICE_NAMESPACE","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.namespace"}}},{"name":"AMQ_STORAGE_USAGE_LIMIT","value":"10 gb"}],"image":"10.95.1.1:5000/image-library/amq-broker:1.0.4","imagePullPolicy":"IfNotPresent","name":"amq-broker","ports":[{"containerPort":8778,"name":"jolokia","protocol":"TCP"},{"containerPort":5672,"name":"amqp","protocol":"TCP"},{"containerPort":1883,"name":"mqtt","protocol":"TCP"},{"containerPort":61613,"name":"stomp","protocol":"TCP"},{"containerPort":61616,"name":"tcp","protocol":"TCP"}],"readinessProbe":{"exec":{"command":["/bin/bash","-c","/opt/amq/bin/readinessProbe.sh"]},"failureThreshold":3,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":1},"resources":{},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","volumeMounts":[{"mountPath":"/opt/amq/data","name":"amq-broker-vol"},{"mountPath":"/opt/amq/conf/log4j.properties","name":"log4jvol","subPath":"log4j.properties"}]}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"terminationGracePeriodSeconds":60,"volumes":[{"name":"amq-broker-vol","persistentVolumeClaim":{"claimName":"amq-broker"}},{"configMap":{"defaultMode":420,"name":"log4j-properties"},"name":"log4jvol"}]}},"test":false,"triggers":[]}}
  creationTimestamp: null
  generation: 1
  labels:
    app: amq-broker
    router: dev-apps
    serviceName: amq-broker
    template: amq-broker
    ucd/component.id: 163d4359-6b1a-ac7c-aff5-fd0eb42b5c46
    ucd/version.id: 71312c10-ab8f-4d67-b0fc-afabee9b2392
    zone: dev
  name: amq-broker
spec:
  replicas: 4
  selector:
    deploymentconfig: amq-broker
  strategy:
    activeDeadlineSeconds: 21600
    resources: {}
    rollingParams:
      intervalSeconds: 10
      maxSurge: 0%
      maxUnavailable: 25%
      timeoutSeconds: 600
      updatePeriodSeconds: 10
    type: Rolling
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: amq-broker
        deploymentconfig: amq-broker
        serviceName: amq-broker
    spec:
      containers:
      - env:
        - name: AMQ_SPLIT
          value: "true"
        - name: AMQ_MESH_DISCOVERY_TYPE
          value: kube
        - name: AMQ_MESH_SERVICE_NAME
          value: amq-broker-tcp
        - name: AMQ_MESH_SERVICE_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
        - name: AMQ_STORAGE_USAGE_LIMIT
          value: 10 gb
        - name: HTTP_PROXY
        - name: no_proxy
        - name: https_proxy
        - name: http_proxy
        - name: HTTPS_PROXY
        - name: NO_PROXY
        - name: AMQDEST_AMQ_ACTIVEMQQUEUE_USER
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqqueue_user
              name: amq-activemqqueue
        - name: AMQDEST_AMQ_ACTIVEMQQUEUE_DESTINATIONNAME
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqqueue_destinationname
              name: amq-activemqqueue
        - name: AMQDEST_AMQ_ACTIVEMQQUEUE_PASSWORD
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqqueue_password
              name: amq-activemqqueue
        - name: AMQDEST_AMQ_ACTIVEMQQUEUE_TYPE
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqqueue_type
              name: amq-activemqqueue
        - name: AMQDEST_AMQ_ACTIVEMQTOPIC_TYPE
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqtopic_type
              name: amq-activemqtopic
        - name: AMQDEST_AMQ_ACTIVEMQTOPIC_USER
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqtopic_user
              name: amq-activemqtopic
        - name: AMQDEST_AMQ_ACTIVEMQTOPIC_DESTINATIONNAME
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqtopic_destinationname
              name: amq-activemqtopic
        - name: AMQDEST_AMQ_ACTIVEMQTOPIC_PASSWORD
          valueFrom:
            secretKeyRef:
              key: amqdest_amq_activemqtopic_password
              name: amq-activemqtopic
        image: 10.95.1.1:5000/image-library/amq-broker:1.0.4
        imagePullPolicy: IfNotPresent
        name: amq-broker
        ports:
        - containerPort: 8778
          name: jolokia
          protocol: TCP
        - containerPort: 5672
          name: amqp
          protocol: TCP
        - containerPort: 1883
          name: mqtt
          protocol: TCP
        - containerPort: 61613
          name: stomp
          protocol: TCP
        - containerPort: 61616
          name: tcp
          protocol: TCP
        readinessProbe:
          exec:
            command:
            - /bin/bash
            - -c
            - /opt/amq/bin/readinessProbe.sh
          failureThreshold: 3
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /opt/amq/data
          name: amq-broker-vol
        - mountPath: /opt/amq/conf/log4j.properties
          name: log4jvol
          subPath: log4j.properties
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: amq-broker
      serviceAccountName: amq-broker
      terminationGracePeriodSeconds: 60
      volumes:
      - name: amq-broker-vol
        persistentVolumeClaim:
          claimName: amq-broker
      - configMap:
          defaultMode: 420
          name: log4j-properties
        name: log4jvol
  test: false
  triggers: []
status:
  availableReplicas: 0
  latestVersion: 0
  observedGeneration: 0
  replicas: 0
  unavailableReplicas: 0
  updatedReplicas: 0
